summaryrefslogtreecommitdiff
path: root/automated/bin/setenv.sh
diff options
context:
space:
mode:
Diffstat (limited to 'automated/bin/setenv.sh')
-rwxr-xr-xautomated/bin/setenv.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/automated/bin/setenv.sh b/automated/bin/setenv.sh
new file mode 100755
index 0000000..c0a3f79
--- /dev/null
+++ b/automated/bin/setenv.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+export REPO_PATH="$(pwd)"
+echo "REPO_PATH: ${REPO_PATH}"
+
+if ! [ -d "${REPO_PATH}/automated/bin" ]; then
+ echo "ERROR: Please execute the below command from test-definitions DIR"
+ echo " . ./automated/bin/setenv.sh"
+ exit 1
+fi
+
+export PATH="${REPO_PATH}/automated/bin":"${PATH}"
+echo "BIN_PATH: ${PATH}"